summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:25 +0200
commitb9530db2ca6978e1c7156647eca60d3c17665aea (patch)
tree2a0807aac43840e249e8696730b42ff4bb9c772b /multimedia
parentb012c82c3600d98e2f6bea5965d61c3f40afc764 (diff)
downloadslackbuilds-b9530db2ca6978e1c7156647eca60d3c17665aea.tar.gz
slackbuilds-b9530db2ca6978e1c7156647eca60d3c17665aea.tar.xz
multimedia/transcode: Added to 12.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/transcode/README9
-rw-r--r--multimedia/transcode/slack-desc19
-rw-r--r--multimedia/transcode/transcode.SlackBuild88
-rw-r--r--multimedia/transcode/transcode.info8
4 files changed, 124 insertions, 0 deletions
diff --git a/multimedia/transcode/README b/multimedia/transcode/README
new file mode 100644
index 0000000000..c6a6e9ba67
--- /dev/null
+++ b/multimedia/transcode/README
@@ -0,0 +1,9 @@
+transcode is a text-console utility for video stream processing.
+Decoding and encoding is done by loading modules that are responsible for
+feeding transcode with raw video/audio streams (import modules) and encoding
+the frames (export modules). It supports elementary video and audio frame
+transformations, including de-interlacing or fast resizing of video frames
+and loading of external filters.
+
+Requires ffmpeg, libmpeg2 (also called mpeg2dec), lame, libdv, libquicktime,
+libdvdread or libdvdnav, and a52dec (all available from SlackBuilds.org).
diff --git a/multimedia/transcode/slack-desc b/multimedia/transcode/slack-desc
new file mode 100644
index 0000000000..afd74336b3
--- /dev/null
+++ b/multimedia/transcode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+transcode: transcode (Audio/Video transcoding)
+transcode:
+transcode: transcode is a text-console utility for video stream processing.
+transcode: Decoding and encoding is done by loading modules that are
+transcode: responsible for feeding transcode with raw video/audio streams
+transcode: (import modules) and encoding the frames (export modules). It
+transcode: supports elementary video and audio frame transformations,
+transcode: including de-interlacing or fast resizing of video frames and
+transcode: loading of external filters.
+transcode:
+transcode: Homepage: http://www.transcoding.org/
diff --git a/multimedia/transcode/transcode.SlackBuild b/multimedia/transcode/transcode.SlackBuild
new file mode 100644
index 0000000000..268057d9a6
--- /dev/null
+++ b/multimedia/transcode/transcode.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for transcode
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=transcode
+VERSION=1.0.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-netstream \
+ --enable-v4l \
+ --enable-libpostproc \
+ --enable-ogg \
+ --enable-vorbis \
+ --enable-theora \
+ --enable-freetype2 \
+ --enable-sdl \
+ --enable-libxml2 \
+ --enable-libdv \
+ --enable-libquicktime \
+ --enable-a52 \
+ --enable-a52-default-decoder
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/transcode/transcode.info b/multimedia/transcode/transcode.info
new file mode 100644
index 0000000000..ae803aa7a0
--- /dev/null
+++ b/multimedia/transcode/transcode.info
@@ -0,0 +1,8 @@
+PRGNAM="transcode"
+VERSION="1.0.5"
+HOMEPAGE="http://www.transcoding.org/"
+DOWNLOAD="http://transcode.kabewm.com/transcode-1.0.5.tar.bz2"
+MD5SUM="124a6055d304fa2d8577d7380e2bcb0c"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"